summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristoph Junghans <junghans@gentoo.org>2018-05-21 20:16:38 -0600
committerChristoph Junghans <junghans@gentoo.org>2018-05-21 20:16:54 -0600
commiteda10b77edb2cd26d51a94ee0c779ba07388e33a (patch)
tree261ff81ea15008010fda9176d59750818ccbfc48
parentsci-mathematics/snns: Update dependencies (x11-proto/* -> x11-base/xorg-proto). (diff)
downloadgentoo-eda10b77edb2cd26d51a94ee0c779ba07388e33a.tar.gz
gentoo-eda10b77edb2cd26d51a94ee0c779ba07388e33a.tar.bz2
gentoo-eda10b77edb2cd26d51a94ee0c779ba07388e33a.zip
sys-cluster/openmpi: fix parallel build when f08 is enabled
Package-Manager: Portage-2.3.24, Repoman-2.3.6
-rw-r--r--sys-cluster/openmpi/openmpi-2.0.2.ebuild3
-rw-r--r--sys-cluster/openmpi/openmpi-2.0.4.ebuild3
2 files changed, 6 insertions, 0 deletions
diff --git a/sys-cluster/openmpi/openmpi-2.0.2.ebuild b/sys-cluster/openmpi/openmpi-2.0.2.ebuild
index b29834dd620..bdac184888c 100644
--- a/sys-cluster/openmpi/openmpi-2.0.2.ebuild
+++ b/sys-cluster/openmpi/openmpi-2.0.2.ebuild
@@ -134,6 +134,9 @@ multilib_src_configure() {
$(multilib_native_use_enable openmpi_ofed_features_failover btl-openib-failover) \
$(multilib_native_use_with openmpi_rm_pbs tm) \
$(multilib_native_use_with openmpi_rm_slurm slurm)
+
+ # fix parallel build when f08 is enabled
+ mkdir -p ompi/mpi/fortran/use-mpi-f08/profile || die
}
multilib_src_test() {
diff --git a/sys-cluster/openmpi/openmpi-2.0.4.ebuild b/sys-cluster/openmpi/openmpi-2.0.4.ebuild
index b5edfc0981c..68208b7b655 100644
--- a/sys-cluster/openmpi/openmpi-2.0.4.ebuild
+++ b/sys-cluster/openmpi/openmpi-2.0.4.ebuild
@@ -134,6 +134,9 @@ multilib_src_configure() {
$(multilib_native_use_enable openmpi_ofed_features_failover btl-openib-failover) \
$(multilib_native_use_with openmpi_rm_pbs tm) \
$(multilib_native_use_with openmpi_rm_slurm slurm)
+
+ # fix parallel build when f08 is enabled
+ mkdir -p ompi/mpi/fortran/use-mpi-f08/profile || die
}
multilib_src_test() {